> For the complete documentation index, see [llms.txt](https://docs.bird.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/api/channels-api/supported-channels/programmable-whatsapp/whatsapp-isv-integration/setting-up-your-customer-workspaces/associating-your-facebook-solution-id-and-business-id-with-your-bird-crm-organization.md).

# Associating your Facebook solution ID and business ID with your Bird CRM Organization

After creating an access key with the necessary permissions, you need to associate your Meta Solution ID obtained from your solution request with Bird and also link your Facebook Business ID with your Bird Organization.

In the example below replace `organizationId`, `accesskey`, `solutionid` and `business_id` with your own values. If you need to update any of the values you can just run the request again.

{% code overflow="wrap" %}

```bash
curl --location 'https://api.bird.com/organizations/{{organizationId}}/platforms/whatsapp/actions/setupTechProvider' \
--header 'Content-Type: application/json' \
--header 'Authorization: AccessKey {{key}}' \
--data-raw '{
  "solution_id": "1659259478243220",
  "business_id": "628925548302008"
}
```

{% endcode %}

You can check the value set for solution\_id as follows:

{% code overflow="wrap" %}

```bash
curl --location 'https://api.bird.com/organizations/{{organizationId}}/configurations/groups/features/keys/whatsapp_techProviderBusinessID' \
--header 'Authorization: Accesskey {{key}}'
```

{% endcode %}

You can check the value set for business\_id as follows:

{% code overflow="wrap" %}

```bash
curl --location 'https://api.bird.com/organizations/{{organizationId}}/configurations/groups/features/keys/whatsapp_techProviderSolutionID' \
--header 'Authorization: Accesskey {{key}}'
```

{% endcode %}

{% content-ref url="/pages/RNoCWweUw5QZMi0JNNj6" %}
[Creating a workspace for your customer](/api/channels-api/supported-channels/programmable-whatsapp/whatsapp-isv-integration/setting-up-your-customer-workspaces/creating-a-workspace-for-your-customer.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bird.com/api/channels-api/supported-channels/programmable-whatsapp/whatsapp-isv-integration/setting-up-your-customer-workspaces/associating-your-facebook-solution-id-and-business-id-with-your-bird-crm-organization.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
